.root {
  composes: section from global;
}

.container {
  composes: container from global;

  display: grid;
  grid-template-areas: 
    "title"
    "hr"
    "content";
  row-gap: 1.5rem;
}

.root h2 {
  grid-area: title;
  margin-bottom: 0;
}

.root hr {
  grid-area: hr;
  margin-inline-end: initial;
}

.form-content {
  grid-area: content;
}

.text {
  composes: heading-4 from global;

  grid-area: text;
  margin-bottom: 30px;
  font-family: var(--font-family-open-sans);
  font-weight: 300;
  color: var(--color-cherry);
}

.phone-wrapper {
  grid-area: phone;
}

@media (min-width: 576px) {
  .container {
    row-gap: 1.9rem;
  }
}

@media (min-width: 768px) {
  .container {
    row-gap: 2.3rem;
  }
}

@media (min-width: 1024px) {
  .container {
    grid-template-areas: 
      "title ."
      "hr content";
    grid-template-columns: 20.625rem 1fr;
    column-gap: 3.5rem;
    row-gap: 2.7rem;
  }

  .root hr {
    justify-self: end;
  }
}

@media (min-width: 1280px) {
  .root {
    padding-bottom: 0;
    margin-bottom: -540px;
  }

  .container {
    column-gap: 5.5rem;
    row-gap: 3.1rem;
  }

  .root hr {
    justify-self: end;
    margin: 14px 0;
  }

  .form-content {
    background-color: var(--color-white);
    width: 650px;
    padding: 0 80px;
  }
}

@media (min-width: 1400px) {
  .container {
    column-gap: 7.5rem;
    row-gap: 3.563rem;
  }

  .form-content {
    width: 800px;
  }
}

@media (min-width: 1600px) {
  .form-content {
    width: 930px;
    padding: 0 120px;
  }
}

